# $Revision: 1.12.2.2 $, $Date: 2003/04/28 12:51:52 $
%include	/usr/lib/rpm/macros.perl
%define         pdir Net
%define         pnam PcapUtils

Summary:	Perl Net::PcapUtils module
Summary(pl):	Modu perla Net::PcapUtils
Name:		perl-%{pdir}-%{pnam}
Version:	0.01
Release:	5
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl >= 5.6
BuildRequires:	libpcap-devel
BuildRequires:	perl-Net-Pcap
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides some code to abstract away some of the messier
parts of using the Net::Pcap library. The idea is to be able to write
"one-liner" type scripts for packet capture without getting bogged
down in the initialisation code. This makes it possible to write very
compact Perl scripts involving packet capture.

%description -l pl
Ten modu dostarcza troch kodu by oddali bardziej zawie czci
uywania biblioteki Net::Pcap. Idea jest taka, by mc pisa skrypty
jednolinijkowe do przechwytywania pakietw bez zakopywania si w kod
inicjalizujcy. Pozwala to na pisanie bardzo krtkich skryptw
perlowych przechwytujcych pakiety.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name .packlist | xargs -r rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_sitelib}/%{pdir}/%{pnam}.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Net-PcapUtils.spec,v $
Revision 1.12.2.2  2003/04/28 12:51:52  ankry
- really rel++

Revision 1.12.2.1  2003/03/13 00:58:17  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.12  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.11  2003/02/18 15:37:12  ankry
- massive attack: change CPAN URLs

Revision 1.10  2002/11/26 00:14:20  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.9  2002/07/10 08:48:12  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.8  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.7  2002/03/03 22:17:28  marcus
- rel.4

Revision 1.6  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/12 10:49:02  kloczek
- release 3.

Revision 1.4  2002/02/10 15:40:16  depesz
adapterized

Revision 1.3  2002/01/18 02:14:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/12/07 15:10:47  qboosh
- pl translations, release 2

Revision 1.1  2001/11/15 09:07:27  mis
- 1st release
